# $Revision: 1.6 $, $Date: 2011/02/06 22:01:08 $
# TODO:
# - package examples
#
# Conditional build:
%bcond_without	static_libs # don't build static library
#
%define		realname	libgdamm
Summary:	C++ wrappers for libgda 3.x
Summary(pl.UTF-8):	Interfejsy C++ dla libgda 3.x
Name:		libgdamm3
Version:	3.0.1
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgdamm/3.0/%{realname}-%{version}.tar.bz2
# Source0-md5:	63583ec970e643962474401400e19994
Patch0:		am_fix.patch
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.9
BuildRequires:	glibmm-devel >= 2.12.8
BuildRequires:	libgda3-devel >= 3.0.0
BuildRequires:	libtool
BuildRequires:	perl-base
BuildRequires:	pkgconfig
Requires:	glibmm >= 2.12.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ wrappers for libgda 3.x.

%description -l pl.UTF-8
Interfejsy C++ dla libgda 3.x.

%package devel
Summary:	Header files for libgdamm3 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgdamm3
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glibmm-devel >= 2.12.8
Requires:	libgda3-devel >= 3.0.0

%description devel
Header files for libgdamm3 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgdamm3.

%package static
Summary:	Static libgdamm3 library
Summary(pl.UTF-8):	Statyczna biblioteka libgdamm3
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgdamm3 library.

%description static -l pl.UTF-8
Statyczna biblioteka libgdamm3.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I scripts
%{__autoconf}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static=yes}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libgdamm-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdamm-3.0.so.10

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgdamm-3.0.so
%{_libdir}/libgdamm-3.0
%{_includedir}/libgdamm-3.0
%{_pkgconfigdir}/libgdamm-3.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgdamm-3.0.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgdamm3.spec,v $
Revision 1.6  2011/02/06 22:01:08  wiget
- up to 3.0.1
- removed ac.patch (applied upstream)
- added am_fix.patch
- drop libtool file

Revision 1.5  2008/07/10 15:34:55  megabajt
- added -ac.patch to fix build
- release 2

Revision 1.4  2008/04/07 10:59:43  megabajt
- updated to 3.0.0

Revision 1.3  2008-01-24 20:35:05  qboosh
- updated to 2.9.81

Revision 1.2  2008-01-24 20:04:18  qboosh
- updated deps, more docs

Revision 1.1  2007-10-20 23:51:58  wolvverine
- init, based on libgdamm.spec, v.2.9.8
